Subject: Re: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 May 2023 08:31:19 +0300

> Date: Wed, 03 May 2023 21:12:47 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> >> I made a few final fixes; I guess I can now merge that branch?
> >
> > Yes, fingers crossed.
> >
> 
> Eli, I've been away for a month, and apparently I forgot to push the 
> merge.  Sorry for that.  Is this still okay now?

You've got to be kidding!  I was thinking about releasing Emacs 29.1
soon!

Please show the full diffs of the proposed merge, I will have to
think about this again, and think hard.

> By the way, I think we should add a hook and run it when long line 
> optimizations are activated, so that users can, for example, automatically 
> turn modes that are known to be problematic off.  WDYT?

I don't think we should add hooks without real-life use cases that we
understand and consider important.  Hooks called by redisplay are
especially problematic, and should be added very sparingly.

Thanks.